<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Sass</title>
  <link rel="stylesheet" href="style-START.css">
</head>
<body>

  <h2>Variables</h2>
  
  <div class="container container--variables-a">
    <p>Texto principal</p>
    <div>Texto secundario</div>
    <div class="error">
      <p>Mensaje de error.</p>
    </div>
  </div>

  <div class="container container--variables-b">
    <p>Texto principal</p>
    <div>Texto secundario</div>
    <div class="error">
      <p>Mensaje de error.</p>
    </div>
  </div>



  <h2>Reglas anidadas (nesting)</h2>
  
  <div class="container container--nest-a">
    <nav>
      <ul>
        <li>Elemento de lista <a href="#">Enlace</a></li>
        <li>Elemento de lista <a href="#">Enlace</a></li>
        <li>Elemento de lista <a href="#">Enlace</a></li>
      </ul>
      <a href="#">Enlace dentro de la navegación</a>
    </nav>
  </div>

  <div class="container container--nest-b">
    <a href="#" class="btn">Aceptar</a>
    <button class="btn" disabled>Enviar</a>
  </div>


  <h2>Mixins</h2>
  
  <div class="container container--mix-a">
    <h1 class="title">Titular</h1>
    <p class="text">Texto de ejemplo para los mixins de Sass</p>
  </div>

  <div class="container container--mix-b">
    <h1 class="title">Titular</h1>
    <p class="text">Texto de ejemplo para los mixins de Sass</p>
  </div>
  
</body>
</html>
